%!TEX root=../../../thesis.tex
%!TEX file=content/fundamentals/dynamics/forward-dynamics.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{\Acrlong{FDP}}\label{sec:fundamentals:forward-dynamics-problem}

The \acrlong{FDP} provides an \acrfull{ODE} in the generalized positions~$\genq$, generalized velocities~$\dotgenq$, and generalized accelerations~$\ddotgenq$ such that
%
\begin{align*}
  \Mass \,
  \ddotgenq
  +
  \fictitiousforces \of{\genq, \dotgenq}
    & = \forcevec \of{\genq, \dotgenq, t} \,
      ,
\end{align*}
%
where the second derivative~$\ddotgenq$ of the positions~$\genq$ is subject to forces~$\forcevec \of{\genq, \dotgenq, t}$, which may be external depending on positions and velocities, but may also be subject to internal forces such as strain, bending, friction, or fictitious forces~(rectilinear acceleration, centrifugal forces, Coriolis forces, and Euler forces).
It may be apparent to the experienced reader that such systems do not, in general, have an analytic solution but can only be solved for the solution tuple~$\vectset{ \genq ; \dotgenq }$ by means of numerical integration.



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/fundamentals/dynamics/forward-dynamics/platform}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\input{content/fundamentals/dynamics/forward-dynamics/cables}
